<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- dynamiclibrary.qdoc -->
  <title>DynamicLibrary QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbsconvenienceitems-cppapplication.html" />
  <link rel="next" href="qml-qbsconvenienceitems-innosetup.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-cppapplication.html">CppApplication</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-innosetup.html">InnoSetup</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">DynamicLibrary QML Type</h1>
<span class="subtitle"></span>
<!-- $$$DynamicLibrary-brief -->
<p>Dynamic library. <a href="#details">More...</a></p>
<!-- @@@DynamicLibrary -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsConvenienceItems .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbslanguageitems-product.html">Product</a></p>
</td></tr></table></div><ul>
<li><a href="qml-qbsconvenienceitems-dynamiclibrary-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-dynamiclibrary.html#importLibInstallDir-prop">importLibInstallDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-dynamiclibrary.html#install-prop">install</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-dynamiclibrary.html#installDir-prop">installDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-dynamiclibrary.html#installImportLib-prop">installImportLib</a></b></b> : bool</li>
</ul>
<!-- $$$DynamicLibrary-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>A DynamicLibrary item is a <a href="qml-qbslanguageitems-product.html">Product</a> of the <a href="qml-qbslanguageitems-product.html#type-prop">type</a> <code>&quot;dynamiclibrary&quot;</code>.</p>
<p>For Android targets, the following applies:</p>
<ul>
<li>The <a href="qml-qbslanguageitems-product.html#type-prop">Product.type</a> property value contains <code>&quot;android.nativelibrary&quot;</code> in addition to <code>&quot;dynamiclibrary&quot;</code>.</li>
<li>There is a dependency on the <a href="qml-qbsmodules-cpp.html">cpp</a> and <a href="qml-qbsmodules-android-ndk.html">Android.ndk</a> modules.</li>
</ul>
<!-- @@@DynamicLibrary -->
<h2>Property Documentation</h2>
<!-- $$$importLibInstallDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="importLibInstallDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">importLibInstallDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Where to install the import library, if <a href="qml-qbsconvenienceitems-dynamiclibrary.html#installImportLib-prop">installImportLib</a> is enabled.</p>
<p>The value is appended to <a href="qml-qbsmodules-qbs.html#installPrefix-prop">qbs.installPrefix</a> when constructing the actual installation directory.</p>
<p>This property is only relevant for Windows targets.</p>
<p>Default: <code>lib</code></p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@importLibInstallDir -->
<br/>
<!-- $$$install -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="install-prop">
<td class="tblQmlPropNode"><p>
<span class="name">install</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If <code>true</code>, the library will be installed to <a href="qml-qbsconvenienceitems-dynamiclibrary.html#installDir-prop">installDir</a>.</p>
<p>Default: <code>false</code></p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@install -->
<br/>
<!-- $$$installDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="installDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">installDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Where to install the library, if <a href="cli-install.html">install</a> is enabled. On Unix, the symbolic links are also installed to this location.</p>
<p>The value is appended to <a href="qml-qbsmodules-qbs.html#installPrefix-prop">qbs.installPrefix</a> when constructing the actual installation directory.</p>
<p>Default: <code>Library/Frameworks</code> if the library is a <a href="qml-qbsmodules-bundle.html#isBundle-prop">bundle</a>, otherwise <code>bin</code> for Windows and <code>lib</code> for Unix-like targets.</p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@installDir -->
<br/>
<!-- $$$installImportLib -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="installImportLib-prop">
<td class="tblQmlPropNode"><p>
<span class="name">installImportLib</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If <code>true</code>, the import library will be installed to <a href="qml-qbsconvenienceitems-dynamiclibrary.html#importLibInstallDir-prop">importLibInstallDir</a>. This property is only relevant for Windows targets. Enable it if you want to create a development package.</p>
<p>Default: <code>false</code></p>
<p>This property was introduced in Qbs 1.13.</p>
</div></div><!-- @@@installImportLib -->
<br/>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-cppapplication.html">CppApplication</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-innosetup.html">InnoSetup</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
